Imports DigitalData.GUIs.Common
Imports DigitalData.Modules.Database
Imports DigitalData.Modules.Logging

Public Class frmMsgBox
    Private ReadOnly LogConfig As LogConfig
    Private ReadOnly SQLServer As MSSQLServer
    Public ReadOnly FormHelper As FormHelper

    Public Sub New(LogConfig As LogConfig, SQLServer As MSSQLServer)
        InitializeComponent()

        Me.LogConfig = LogConfig
        Me.SQLServer = SQLServer
        Me.FormHelper = New FormHelper(LogConfig, Me)
    End Sub

    Private Sub SimpleButton1_Click(sender As Object, e As EventArgs) Handles SimpleButton1.Click
        FormHelper.ShowErrorMessage(New ApplicationException("Diese Datei ist hier unerwünscht!"), "Mein Titel")
    End Sub

    Private Sub SimpleButton2_Click(sender As Object, e As EventArgs) Handles SimpleButton2.Click
        Dim oMsgbox = New frmDialog("Der Fluxkompensator ist leer. Bitte auffüllen!", "File Flow", frmDialog.DialogType.Warning)
        oMsgbox.ShowDialog()
    End Sub

    Private Sub frmMsgBox_Load(sender As Object, e As EventArgs) Handles MyBase.Load

    End Sub

    Private Sub SimpleButton3_Click(sender As Object, e As EventArgs) Handles SimpleButton3.Click
        Dim CURRENT_NEWFILENAME = "\\Windream\Objects\DigitalData-IDB\2022\02\01\TestDoctype1\more\even-more\big\empty\folders\haha\Brainpool_Logo-22_02_01.pdf"
        FormHelper.ShowQuestionMessage($"File sucessfully processed!{vbNewLine}Path:{vbNewLine}{vbNewLine}{vbNewLine}{vbNewLine}{CURRENT_NEWFILENAME}", CURRENT_NEWFILENAME.Count)
    End Sub
End Class